GROMACS - Feature #438

New tool: g_correl
06/15/2010 01:29 AM - Alexey Shvetsov

Status: In Progress
Priority: Low

Assignee: Alexey Shvetsov
Category: analysis tools
Target version: future

Difficulty: uncategorized
Description

| write small utility to compute Pearson's product-moment coefficients for groups of atoms from md trajectory. This tool reads
trajectory and constructs correlation matrix of atomic displacements between 2 index groups.

History

#1 - 06/15/2010 01:31 AM - Alexey Shvetsov

Created an attachment (id=470)
patch againts git master

Patch against git master branch
use git am to apply it =)

#2 - 06/15/2010 03:20 AM - Rossen Apostolov
g_covar already calculates the covariance matrix, which can be easily extended to print the correlations too.
Also, there is already a tool named g_correlation, which uses mutual information to estimate the coefficients:

http://www.mpibpc.mpg.de/home/grubmueller/projects/MethodAdvancements/GeneralizedCorrelations/index.html

#3 - 06/15/2010 07:23 AM - Alexey Shvetsov

(In reply to comment #2)

g_covar already calculates the covariance matrix, which can be easily extended
to print the correlations too.

Also, there is already a tool named g_correlation, which uses mutual
information to estimate the coefficients:

http://www.mpibpc.mpg.de/home/grubmueller/projects/MethodAdvancements/GeneralizedCorrelations/index.html

Yes. g_covar calculates covariance matrix but this matrix is only for one group.
While my utility can compute cross-correlations (correlation between 2 groups)
Also doesnt works with current gromacs (it only works with gromacs 3.x)

[1] http://www.mpibpc.mpg.de/home/grubmueller/projects/MethodAdvancements/GeneralizedCorrelations/index.html

#4 - 06/15/2010 10:33 AM - Alexey Shvetsov

Hmm. Seems name of my utility is a bit confusing. So i should change it.

Also it computes a little bit different thing comparing to [1]. And as i mentioned earlyer it can compute correlations between 2 different index group.
Correlation coefficient defined here as following

C_ij = <(R_i-<R_i>)*(R_j-<R_j>)>/sqrt(<(R_i-<R_i>)"2>*<(R_j-<R_j>)"2>)

where R_i, R_j are position vectors for atoms i and j respectevely

so C_ij can be between -1 (for anticorrelated motions) and +1 (for correlated motions)
#5 - 06/15/2010 04:49 PM - Alexey Shvetsov

Created an attachment (id=473)
new patch againts git master

Reformated patch.
Utility was renamed to g_correl to not confuse people.
Also i addeddescription to git commit message about how it works

#6 - 06/15/2010 10:59 PM - Rossen Apostolov

| still don't understand the need for this utility. The correlations between 2 groups of atoms will be simply a sub-matrix of the full system matrix. Or am
| missing something? And an extra option to g_covar will be a simpler solution.

#7 - 06/15/2010 11:57 PM - Alexey Shvetsov

(In reply to comment #6)

| still don't understand the need for this utility. The correlations between 2
groups of atoms will be simply a sub-matrix of the full system matrix. Or am |
missing something? And an extra option to g_covar will be a simpler solution.

Well basicaly its the same as for pair g_rms/g_rmsf. g_correl is very simple tool to compute correlation matrix of needed parts of system e.g. between
2 monomers from multiprotein complex.

#8 - 07/29/2010 05:21 PM - Erik Lindahl
Hi,

We won't be able to get a new correlation tool working for 4.5, but we should work on updating & integrating the Grubmdiller tool (or rather, get Gerrit
or Bert to do it), and then we'll also make sure that it supports correlations between disjoint groups.

#9 - 07/29/2010 08:18 PM - Alexey Shvetsov

(In reply to comment #8)
Hi,

We won't be able to get a new correlation tool working for 4.5, but we should
work on updating & integrating the Grubmdiller tool (or rather, get Gerrit or
Bert to do it), and then we'll also make sure that it supports correlations
between disjoint groups.

Hmm. | can make partial rewrite of Grubmller g_correlation tool to make it works with current git master.

#10 - 08/11/2010 03:32 PM - Alexey Shvetsov

Created an attachment (id=511)
Rebased patch

Rebased version of tool that computes Peerason correlations
#11 - 02/23/2011 03:01 AM - Szilard Pall

- Assignee deleted (Erik Lindahl)
- Target version deleted (CVS)

#12 - 12/29/2012 01:58 PM - Teemu Murtola

- Tracker changed from Bug to Feature

#13 - 12/29/2012 03:56 PM - Teemu Murtola

- Target version set to 5.0

Set the target version to 5.0, as it was already noted in some comments that this functionality could be included in one of the tools. So for 5.0, as part
of the larger work in #665, we should either identify the best solution for including this functionality, or close this issue (or postpone if no one cares
enough to do the work in that timeframe).

#14 - 12/30/2012 06:51 PM - Alexey Shvetsov

Well | can rewrite it using new framework for 5.0
#15 - 03/04/2014 01:20 PM - Rossen Apostolov

Alexey, are you still planning to port it?

#16 - 03/04/2014 01:36 PM - Alexey Shvetsov

Yep. I'll do it after | finish rewrite of g_sans using new framework, may be in addition i'll rewrite g_covar since it uses very similar ideas.

#17 - 03/04/2014 01:39 PM - Rossen Apostolov
- Status changed from New to In Progress

- Assignee set to Alexey Shvetsov

OK, thanks!

#18 - 06/20/2014 10:38 AM - Erik Lindahl

- Target version changed from 5.0 to future

Files

0001-Add-new-tool-g_correlation.-This-tool-computes-Pears.patch 14.3 KB

0001-Add-new-tool-g_correl.patch 14.8 KB

0001-Add-g_correl-tool.patch 18.3 KB
